### Method

# CloudProviders DbusObjectSkeleton set_provider

#### Declaration [src]

    void
    cloud_providers_dbus_object_skeleton_set_provider (
      CloudProvidersDbusObjectSkeleton* object,
      CloudProvidersDbusProvider* interface_
    )

#### Description [src]

Sets the `CloudProvidersDbusProvider` instance for the D-Bus interface org.freedesktop.CloudProviders.Provider on `object`.

#### Parameters

`interface_`

  Type: `CloudProvidersDbusProvider`

  A `CloudProvidersDbusProvider` or `NULL` to clear the interface.

  The argument can be `NULL`.
  The data is owned by the caller of the method.